- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Namespace List
- Namespace Members

Enumerations | Functions

# QGL Namespace Reference

## Enumerations
enum | FormatOption { DoubleBuffer = 0x0001, DepthBuffer = 0x0002, Rgba = 0x0004, AlphaChannel = 0x0008, AccumBuffer = 0x0010, StencilBuffer = 0x0020, StereoBuffers = 0x0040, DirectRendering = 0x0080, HasOverlay = 0x0100, SampleBuffers = 0x0200, DeprecatedFunctions = 0x0400, SingleBuffer = DoubleBuffer << 16, NoDepthBuffer = DepthBuffer << 16, ColorIndex = Rgba << 16, NoAlphaChannel = AlphaChannel << 16, NoAccumBuffer = AccumBuffer << 16, NoStencilBuffer = StencilBuffer << 16, NoStereoBuffers = StereoBuffers << 16, IndirectRendering = DirectRendering << 16, NoOverlay = HasOverlay << 16, NoSampleBuffers = SampleBuffers << 16, NoDeprecatedFunctions = DeprecatedFunctions << 16 }
## Functions
Q_OPENGL_EXPORT void | setPreferredPaintEngine (QPaintEngine::Type engineType)

## Enumeration Type Documentation

enum FormatOption

Search for all occurrences

Enumerator:

  DoubleBuffer | Search for all occurrences
  DepthBuffer | Search for all occurrences
  Rgba | Search for all occurrences
  AlphaChannel | Search for all occurrences
  AccumBuffer | Search for all occurrences
  StencilBuffer | Search for all occurrences
  StereoBuffers | Search for all occurrences
  DirectRendering | Search for all occurrences
  HasOverlay | Search for all occurrences
  SampleBuffers | Search for all occurrences
  DeprecatedFunctions | Search for all occurrences
  SingleBuffer | Search for all occurrences
  NoDepthBuffer | Search for all occurrences
  ColorIndex | Search for all occurrences
  NoAlphaChannel | Search for all occurrences
  NoAccumBuffer | Search for all occurrences
  NoStencilBuffer | Search for all occurrences
  NoStereoBuffers | Search for all occurrences
  IndirectRendering | Search for all occurrences
  NoOverlay | Search for all occurrences
  NoSampleBuffers | Search for all occurrences
  NoDeprecatedFunctions | Search for all occurrences

Definition at line 136 of file qgl.h.

                          {
            DoubleBuffer            = 0x0001,
            DepthBuffer             = 0x0002,
            Rgba                    = 0x0004,
            AlphaChannel            = 0x0008,
            AccumBuffer             = 0x0010,
            StencilBuffer           = 0x0020,
            StereoBuffers           = 0x0040,
            DirectRendering         = 0x0080,
            HasOverlay              = 0x0100,
            SampleBuffers           = 0x0200,
            DeprecatedFunctions     = 0x0400,
            SingleBuffer            = DoubleBuffer    << 16,
            NoDepthBuffer           = DepthBuffer     << 16,
            ColorIndex              = Rgba            << 16,
            NoAlphaChannel          = AlphaChannel    << 16,
            NoAccumBuffer           = AccumBuffer     << 16,
            NoStencilBuffer         = StencilBuffer   << 16,
            NoStereoBuffers         = StereoBuffers   << 16,
            IndirectRendering       = DirectRendering << 16,
            NoOverlay               = HasOverlay      << 16,
            NoSampleBuffers         = SampleBuffers   << 16,
            NoDeprecatedFunctions   = DeprecatedFunctions << 16
        };

## Function Documentation

Q_OPENGL_EXPORT void QGL::setPreferredPaintEngine | ( | QPaintEngine::Type | engineType | ) |

Search for all occurrences